@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans:opsz,wght@6..12,200;6..12,300;6..12,400;6..12,500;6..12,600;6..12,700;6..12,800;6..12,900;6..12,1000&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Nunito Sans', sans-serif;
    text-decoration: none;
    color: #000;
    scroll-behavior: smooth;
}

section {
    min-height: 100vh;
    padding: 5rem 9%;
}

.container {
    background: #fff;
    position: relative;
}

.heading {
    text-align: center;
    font-size: 35px;
    text-transform: uppercase;
    letter-spacing: 1px;
}

.heading span {
    color: #f00;
}

.header {
    position: fixed;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 30px;
    box-shadow: 0 0 5em rgba(0, 0, 0, 0.10);
    background: #fff;
    z-index: 99;
}

.header .logo {
    font-size: 28px;
    font-weight: bolder;
    text-transform: uppercase;
    display: flex;
    align-items: center;
    gap: 2px;
}

.header .logo span {
    color: #f00;
}

.header .navbar {
    gap: 30px;
    display: none;
    opacity: 0; 
    transition: opacity 0.3s;
}

.header .navbar a {
    cursor: pointer;
    font-size: 18px;
    text-transform: uppercase;
    font-weight: 500;
}

.header .navbar a.active,
.header .navbar a:hover {
    color: #f00;
}

.header i {
    font-size: 25px;
    cursor: pointer;
}

.header #close-icon {
    display: none;
}

.home {
    position: relative;
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    gap: 100px;
    height: 100vh;
}

.home img {
    width: 40%;
    border-radius: 50%;
    transform: rotate(-5deg);
    border: 2px solid transparent;
    box-shadow: 0 0 5em rgba(0, 0, 0, 0.10);
    margin-top: 60px;
}

.home .home-content {
    position: relative;
    display: flex;
    flex-direction: column;
}

.home .home-content h2 {
    font-size: 43px;
}

.home .home-content h1 {
    font-size: 58px;
}

.home .home-content p {
    font-size: 23px;
}

.home .home-content .btn {
    margin-top: 20px;
    border: 2px solid #000;
    padding: 10px;
    width: 120px;
    text-align: center;
    border-radius: 10px;
    cursor: pointer;
}

.home .home-content .btn:hover {
    background: #000;
    color: #fff;
    transition: .3s;
}

.about {
    height: 100vh;
}

.about-container {
    display: flex;
    align-items: center;
    gap: 100px;
}

.about-container img {
    width: 40%;
    border-radius: 50%;
    transform: rotate(-5deg);
    border: 2px solid transparent;
    box-shadow: 0 0 5em rgba(0, 0, 0, 0.10);
    margin-top: 60px;
}

.about-container .about-content {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.about-container .about-content h2 {
    font-size: 33px;
}

.about-container .about-content p {
    font-size: 20px;
}

.services-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 20px;
    margin: 30px 0;
}

.services-container .service-box {
    box-shadow: 0 0 5em rgba(0, 0, 0, 0.10);
    border-radius: 10px;
    background: #fff;
    padding: 30px;
}

.services-container .service-box img {
    height: 200px;
    width: 100%;
}

.services-container .service-box h3 {
    font-size: 22px;
    margin: 20px 0 0 0;
}

.services-container .service-box p {
    font-size: 18px;
    line-height: 1.8;
}

.projects-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 20px;
    margin: 30px 0;
}

.projects-container .project-box {
    box-shadow: 0 0 5em rgba(0, 0, 0, 0.10);
    border-radius: 10px;
    background: #fff;
    padding: 30px;
}

.projects-container .project-box img {
    height: 250px;
    width: 100%;
    border: 1px solid #d8d7d7;
}

.projects-container .project-box h3 {
    font-size: 22px;
    margin: 20px 0 0 0;
}

.projects-container .project-box p {
    font-size: 18px;
    line-height: 1.8;
    margin-bottom: 20px;
}

.projects-container .project-box .btn {
    padding: 8px 20px;
    background: #000;
    color: #fff;
}

.projects-container .project-box .btn:hover {
    border: 2px solid #000;
    background: #fff;
    color: #000;
    transition: .3s;
}





.friends-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 20px;
    margin: 30px 0;
}

.friends-container .friend-box {
    box-shadow: 0 0 5em rgba(0, 0, 0, 0.10);
    border-radius: 10px;
    background: #fff;
    padding: 30px;
    position: relative;
}

.friends-container .friend-box img {
    height: 300px;
    width: 100%;
    border: 1px solid #d8d7d7;
    border-radius: 10px;
}

.friends-container .friend-box h3 {
    font-size: 22px;
    margin: 20px 0 0 0;
}

.friends-container .friend-box p {
    font-size: 18px;
    line-height: 1.8;
    margin-bottom: 20px;
}

.friends-container .friend-box .btn {
    padding: 8px 20px;
    background: #000;
    color: #fff;
}

.friends-container .friend-box .btn:hover {
    border: 2px solid #000;
    background: #fff;
    color: #000;
    transition: .3s;
}

.contact {
    position: relative;
}

.contact-container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.contact-container .form {
    box-shadow: 0 0 5em rgba(0, 0, 0, 0.10);
    padding: 30px 20px;
    border-radius: 10px;
    width: 540px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.contact-container .form .input-group {
    width: 100%;
    display: flex;
    align-items: center;
    gap: 10px;
}

.contact-container .form textarea,
.contact-container .form input {
    width: 100%;
    padding: 10px;
    border: 2px solid #e2e2e2;
    border-radius: 5px;
    font-size: 18px;
}

.contact-container .form textarea {
    resize: none;
}

.contact-container .form button {
    padding: 10px 20px;
    border: none;
    outline: none;
    width: 180px;
    background: #000;
    color: #fff;
    cursor: pointer;
    border-radius: 5px;
    font-size: 18px;
    text-align: center;
}

.contact-container .form button:hover {
    border: 2px solid #000;
    background: #fff;
    color: #000;
    transition: .3s;
}

.footer {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    padding: 20px;
    box-shadow: 0 0 5em rgba(0, 0, 0, 0.10);
}

.footer .social-icons {
    display: flex;
    align-items: center;
    gap: 30px;
}

.footer .social-icons a {
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 5px;
    font-size: 20px;
}

.footer .social-icons a:hover i, 
.footer .social-icons a:hover span {
    color: #f00;
}

.footer p {
    font-size: 20px;
}

.footer p a {
    text-decoration: underline;
}





















@media (max-width: 1050px) {
    .header .navbar {
        position: absolute;
        top: 100%;
        left: 0;
        display: none;
        flex-direction: column;
        width: 100%;
        background: #fff;
        box-shadow: 0 0 5em rgba(0, 0, 0, 0.10);
        padding: 20px;
        gap: 15px;
        z-index: 99;
    }
}

@media (max-width: 900px) {
    .home .home-content h2 {
        font-size: 38px;
    }

    .home .home-content h1 {
        font-size: 57px;
    }

    .home .home-content p {
        font-size: 20px;
    }

    .about-container .about-content h2 {
        font-size: 28px;
    }

    .about-container .about-content p {
        font-size: 18px;
    }
}

@media (max-width: 768px) {
    .home {
        display: flex;
        flex-direction: column;
        gap: 20px;
    }

    .home img {
        width: 60%;
    }

    .home .home-content h2 {
        font-size: 35px;
    }

    .home .home-content h1 {
        font-size: 50px;
    }

    .home .home-content p {
        font-size: 18px;
    }

    .about {
        margin-top: 40px;
        height: 100vh;
        margin-bottom: 200px;
    }

    .about-container {
        display: flex;
        flex-direction: column;
        gap: 20px;
    }

    .about-container img {
        width: 60%;
    }
}

@media (max-width: 600px) {
    .home .home-content h2 {
        font-size: 30px;
    }

    .home .home-content h1 {
        font-size: 45px;
    }
}

@media (max-width: 550px) {
    .contact {
        padding: 20px;
    }

    .contact-container .form {
        width: 500px;
    }

    .footer .social-icons a,
    .footer p {
        font-size: 18px;
    }
}

@media (max-width: 520px) {
    .contact-container .form {
        width: 400px;
    }

    .footer .social-icons {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .footer p {
        text-align: center;
    }
}

@media (max-width: 420px) {
    .home img {
        width: 100%;
    }

    .home .home-content h2 {
        font-size: 28px;
    }

    .home .home-content h1 {
        font-size: 43px;
    }

    .home .home-content p {
        font-size: 18px;
    }

    .about-container img {
        width: 100%;
    }

    .about-container .about-content h2 {
        font-size: 25px;
    }

    .about-container .about-content p {
        font-size: 15px;
    }

    .contact-container .form {
        width: 350px;
    }

    .contact-container .form .input-group {
        flex-direction: column;
    }
}

@media (max-width: 350px) {
    .home .home-content h2 {
        font-size: 25px;
    }

    .home .home-content h1 {
        font-size: 38px;
    }

    .about-container .about-content h2 {
        font-size: 25px;
    }

    .about-container .about-content p {
        font-size: 15px;
    }

    .services-container {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
    }

    .projects-container {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
    }

    .friends-container {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
    }

    .friends-container .friend-box p {
        font-size: 15px;
    }

    .contact-container .form {
        width: 300px;
    }

    .contact-container .form input,
    .contact-container .form textarea {
        padding: 8px;
    }

    .contact-container .form textarea {
        height: 100px;
    }

    .contact-container .form button {
        padding: 8px 15px;
        width: 150px;
        font-size: 15px;
    }
}

@media (max-width: 320px) {
    .home .home-content h2 {
        font-size: 23px;
    }

    .home .home-content h1 {
        font-size: 35px;
    }

    .about-container .about-content h2 {
        font-size: 22px;
    }

    .contact-container .form {
        width: 300px;
    }
}

@media (max-width: 300px) {
    .contact-container .form {
        width: 250px;
    }

    .footer .social-icons {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        gap: 10px;
    }

    .footer .social-icons a,
    .footer p {
        font-size: 15px;
    }
}